server:
  port: 8821
spring:
  application:
    name: LogProcessServer
  #  rabbitmq:
  #    host: 172.1.0.75
  #    port: 5672
  #    username: root
  #    password: Dh82828800
  redis:
    database: 0
    host: 172.1.0.75
    port: 6379
    password: Dh82828800
  data:
    kafka:
      servers: 172.9.0.120:9092,172.9.0.121:9092,172.9.0.202:9092
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://172.1.0.63:3306/devicebox?useUnicode=true&characterEncoding=UTF-8&serverTimezone=Asia/Shanghai&useSSL=false
    username: root
    password: Dh82828800
run-config:
  server:
    serverId: 172-9-0-164
  mqtt:
    mqttSubTopic: topic-ts-notify/#
    mqttPubTopic: topic-ts-notify/1
    mqttBroker: tcp://172.9.0.206:1883
  mq:
    waitingToProcessDatagram: queue-waiting-process-datagram
    toRtuDatagram: queue-to-rtu-datagram
    serverSelfCheckingMessage: queue-server-self-checking-message
    warningMessage: queue-warning-message
    checkStateQueue: queue-datagram-check
    logMessage: queue-log-message

#  datasource:
#    driver-class-name: com.kingbase8.Driver
#    url: jdbc:kingbase8://172.9.0.100:54321/TEST
#    username: SYSTEM
#    password: Dh82828800


#  mqtt:
#    username: admin
#    password: Dh82828800
#    url: tcp://172.9.0.195:1883
#    client:
#      id: 'admin'
#    default:
#      topic: 'topicTest01'
#    topics: topicTest01
#    qosValues: 2,3

#hbase:
#  config:
#    hbase.zookeeper.quorum: 172.9.0.204
#    hbase.zookeeper.property.clientPort: 2181

